Subject: Re: bug#62420: 29.0.60; fns-tests-collate-strings fails on Cygwin

From: Ken Brown <[email-masked]>
Date: Sat, 25 Mar 2023 11:14:57 -0400

On 3/25/2023 10:46 AM, Eli Zaretskii wrote:
>> Date: Sat, 25 Mar 2023 10:27:51 -0400
>> Cc: [email-masked]
>> From: Ken Brown <[email-masked]>
>> I don't know how to get the version in Lisp.  I only know how to get it
>> in C, using uname.  If someone can tell me how to get it in Lisp, I'll
>> try to earn the bonus points.
> 
> What's the value of operating-system-release return in a Cygwin build?

Perfect!  It's "3.4.6-1.x86_64".  I should be able to use that. 
Interestingly, that variable was made obsolete a couple years ago in 
commit d88e12aa19c4.

Ken